उबंटू 11 वर लिबग्रायप्ट 15.04 स्पॉटिफाई आणि ब्रॅकेट्स कार्य करत नाही

उबंटू 11 वर लिबग्रायप्ट 15.04 स्पॉटिफाई आणि ब्रॅकेट्स कार्य करत नाहीउबंटू 15.04 च्या अधिकृत लाँचपासून आठवड्यापूर्वीच नाही आणि आमच्याकडे आधीच वितरणामध्ये मोठी त्रुटी आहे. जरी या महान त्रुटीकडे सोपा उपाय आहे आणि ते कशासाठी आहे, हे शक्यतो तात्पुरते आहे. असे दिसते आहे की उबंटूच्या नवीन आवृत्तीने त्याच्या रेपॉजिटरीजमधून एक लायब्ररी काढली आहे, याचा अर्थ असा होतो की स्पॉटिफाई किंवा ब्रॅकेट्ससारखे प्रोग्राम वापरले जाऊ शकत नाहीत.

आपण अद्यतनित केले असल्यास, स्पॉटिफाई किंवा ब्रॅकेट्स, तसेच इतर लायब्ररी वापरणारे प्रोग्राम कार्य करत राहतील, तथापि आपण स्वच्छ स्थापना केल्यास आपल्यास ही समस्या उद्भवू शकते.

प्रश्नांमधील वाचनालय libgcrypt11 आहे जी आता उबंटू 15.04 रेपॉजिटरीमध्ये नाहीसर्वात जवळची लायब्ररी libgcrypt20 असेल, जेणेकरून हे प्रोग्राम वापरत असताना, स्थापना कार्य करेल परंतु प्रोग्राम कार्य करणार नाही.

समस्या सुधारण्यासाठी आपणास मागील आवृत्त्यांमधून libgcrypt11 वापरावे लागेल

आता या समस्येचे निराकरण अगदी सोपे आहे: लायब्ररी स्वतः स्थापित करा. सध्या व्हिव्हिड वर्व्हटच्या आधीच्या आवृत्त्यांमध्ये libgcrypt11 आहे जेणेकरून आम्ही ते डाउनलोड करू आणि स्थापित करू किंवा हे लायब्ररी स्थापित करण्यासाठी एक नॉन-कॅनॉनिकल रेपॉजिटरी वापरतो. एवढेच, यासाठी सध्या एक आवृत्ती आहे 32 बिट, साठी 64 बिट आणि दुसरा क्रॉस प्लॅटफॉर्म की आपण चांगला वापर करू शकतो. यानंतर, स्पोटिफाई, ब्रॅकेट्स आणि लिबग्राइप्ट 11 वापरणारे इतर प्रोग्राम योग्यरित्या कार्य करण्यास सक्षम असतील.

जरी समस्या मूर्खपणाची आहे, ही एक गंभीर त्रुटी आहे कारण असे बरेच लोक आहेत जे लिबगक्रिप्ट ११ लायब्ररीमध्ये काम करणारे प्रोग्राम वापरतात, तथापि, त्याचे निराकरण अगदी नवशिक्यांसाठी देखील सोपे आहे; तथापि या प्रकारची समस्या उबंटू आणि त्याच्या डेरिव्हेटिव्ह्जमध्ये बर्‍यापैकी दिसून येत आहे. फार पूर्वी ल्युबंटू स्वादातील नवीनतम एलटीएस उबंटू चव मध्ये एक समान बग दिसला. जरी यापूर्वीच त्याचे निराकरण झाले आहे, परंतु दीर्घकाळ समस्या कायम राहिली, उपद्रव झाला. कदाचित या समस्या मार्क शटलवर्थने पाहिल्या ज्यामुळे उबंटू रोलिंग रिलीज झाले नाही किंवा नाही, तरीही मला हे मान्य करावे लागेल की त्यांचे अहवाल आणि निराकरण वेगवान आणि प्रभावी असल्याने उबंटू समुदाय एक भव्य काम करीत आहे, कदाचित त्या कारणामुळे, उबंटूचे 25 दशलक्षाहून अधिक वापरकर्ते आहेत.

स्रोत आणि प्रतिमा - वेबअपडी 8


लेखाची सामग्री आमच्या तत्त्वांचे पालन करते संपादकीय नीति. त्रुटी नोंदविण्यासाठी क्लिक करा येथे.

7 टिप्पण्या, आपल्या सोडा

आपली टिप्पणी द्या

आपला ई-मेल पत्ता प्रकाशित केला जाणार नाही.

*

*

  1. डेटा जबाबदार: मिगुएल Áन्गल गॅटन
  2. डेटाचा उद्देशः नियंत्रण स्पॅम, टिप्पणी व्यवस्थापन.
  3. कायदे: आपली संमती
  4. डेटा संप्रेषण: कायदेशीर बंधन वगळता डेटा तृतीय पक्षास कळविला जाणार नाही.
  5. डेटा संग्रहण: ओकेन्टस नेटवर्क (EU) द्वारा होस्ट केलेला डेटाबेस
  6. अधिकारः कोणत्याही वेळी आपण आपली माहिती मर्यादित, पुनर्प्राप्त आणि हटवू शकता.

  1.   इडर रिवेरा अकोस्टा म्हणाले

    शुभ दुपार सर्वांना, मला ही समस्या आली, मी लिबग्राइप्ट ११ लायब्ररी स्थापित केली आणि ती उत्तम प्रकारे कार्य करते, तुमचे आभार.

  2.   अँड्रेस रोजास म्हणाले

    आपल्या योगदानाबद्दल मनापासून आभार, सत्य मला उपयोगी पडले. मी बरेच दिवस यश मिळविण्याशिवाय हे ग्रंथालय स्थापित करण्याचा प्रयत्न करीत होतो. मी या पृष्ठावरून फाईल डाउनलोड आणि स्थापित केली आणि ती माझ्यासाठी कार्य करते.

  3.   रिचर्ड म्हणाले

    इडर आणि अ‍ॅन्ड्रेस यांच्यासारखेच. आपल्या योगदानाबद्दल मनापासून धन्यवाद मी माझ्यासाठी खूप चांगले असलेले ब्राउझर स्थापित करू शकलो नाही, कारण ते स्थिर आणि वेगवान आहे. फक्त बाबतीत, मी ते सुचवितो. त्याला मॅक्सथॉन म्हणतात. मी याची शिफारस करतो!

  4.   csipac म्हणाले

    मदतीसाठी धन्यवाद

  5.   अलेआंड्रो डेल एंजेल म्हणाले

    या महान योगदानाबद्दल मनापासून आभार

  6.   AAlexRR म्हणाले

    रिचर्ड प्रमाणेच मी मॅक्सथॉनला यशस्वीरित्या स्थापित करण्याचा प्रयत्न केला आणि धन्यवाद

  7.   मल्ख्या म्हणाले

    आणि समस्या आवृत्ती 16.04LTS सह सुरू आहे, आशा आहे की हे आधीपासूनच आवृत्ती 17 मध्ये दुरुस्त केले गेले आहे
    .04LTS, जे मी खरोखर प्रयत्न केले नाहीत, आपल्या योगदानाबद्दल धन्यवाद मी शेवटी स्टारयूएमएल स्थापित करण्यास सक्षम होतो, ग्रीटिंग्ज आणि पुन्हा धन्यवाद.